﻿using System;
using System.Windows.Data;

namespace PivotViewer.ValueConverters
{
    public class PositionToOpenValueConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if(value == null) return "Open";
            return value.ToString() == "1" ? "Closed" : "Open";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
